Subject: Re: using aliases for cygwin commands on win2k
From: Robert Collins <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: 18 Sep 2001 09:03:14 +1000

On Tue, 2001-09-18 at 08:54, Anoop Ghanwani wrote:
> 
> 
> --- Robert Collins <[email-masked]> wrote:
> > On Tue, 2001-09-18 at 08:37, Anoop Ghanwani wrote:
> > > I wanted to find out how to use aliases for cygwin commands
> > > on win2k.  The cygwin commands are located at c:\cygwin\bin.
> > > I don't run bash, but I still use commands such as ls, grep, rm,
> > mv.
> > > I would like to create aliases for these commands such as
> > > alias ls 'ls -lF' and so on.  How do I do something like this?
> > 
> > Run bash/tcsh/ksh. Do not run cmd.exe.
> 
> Thanks for the response.
> 
> If I do that, I lose the ability to start applications
> automatically by simply typing the file name.  For example, 
> if I have a file try.doc, and I type try.doc at the Windows 
> 2000 command prompt, it brings up Word with that document.

Ah, extra information that was not initially provided. We don't mind
read terribly well.

http://www.tuxedo.org/~esr/faqs/smart-questions.html
is useful reference for getting the answers you want.

If that is the _only_ issue, try using cmd /c start try.doc - it will
probably do what you want. Otherwise ask a windows list about doing
aliases there.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/